
User Interface - Bug #2836

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

wrong number of inner lines in COMBO-BOX

11/09/2015 09:21 PM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/09/2015 09:22 PM - Hynek Cihlar

The following program doesn't show the correct number of entries in combo-box drop-down.

DEF VAR cb AS CHAR VIEW-AS COMBO-BOX INNER-LINES 3 LIST-ITEMS 

   "item1", "item2", "item3", "item4".

FORM cb WITH FRAME f SIDE-LABELS.

ENABLE ALL with frame f.

/* trigger push to the client, this is the key part */

cb:LABEL = "xxx".

WAIT-FOR GO OF FRAME f.

#2 - 11/10/2015 05:18 AM - Greg Shah

Is this in GUI, ChUI or both?

This issue is in the trunk?

#3 - 11/10/2015 05:28 AM - Hynek Cihlar

Greg Shah wrote:

Is this in GUI, ChUI or both?

 

Both.

This issue is in the trunk?

05/03/2024 1/3



 

Yes.

#4 - 11/24/2015 09:24 AM - Greg Shah

- Target version set to Milestone 12

- Start date deleted (11/09/2015)

- Subject changed from Wrong number of inner lines in COMBO-BOX to wrong number of inner lines in COMBO-BOX

- Assignee set to Eugenie Lyzenko

#5 - 11/24/2015 01:30 PM - Eugenie Lyzenko

- File evl_upd20151124a.zip added

This is the fix for issue. ComboBoxWidget.finishSetup() recalculates the INNER-LINES value after explicitly set. And this adjustment looks strange at

least. Moreover there is a minimum of 3 lines for combo-box. Tested in both GUI and ChUI.

Can I commit this update to 2677b?

#6 - 11/24/2015 01:38 PM - Greg Shah

Code Review evl_upd20151124a.zip

I'm fine with the change.  You can check it into branch 2677b.

#7 - 11/24/2015 02:03 PM - Eugenie Lyzenko

Greg Shah wrote:

Code Review evl_upd20151124a.zip

I'm fine with the change.  You can check it into branch 2677b.

 

The fix committed in 2677b as revision 10957.

#8 - 11/24/2015 02:12 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

05/03/2024 2/3



evl_upd20151124a.zip 5.43 KB 11/24/2015 Eugenie Lyzenko
